//!\file GL.h Includes OpenGL's gl.h.  This should be used instead of directly including gl.h, and before glu.h or others are included.
//Luke Lenhart, 2008
//See /docs/License.txt for details on how this code may be used.

#if defined(WIN32) //windows - msvc

    //For whatever reason, msvc7's gl.h tries to use a bunch of stuff it does not define.
    //Since we don't want to pull windows.h in to the whole world, we'll just define those things here.
    #include "../base/win32/alt_windows.h"

    #include <GL/gl.h>

#else //linux

    #include <GL/gl.h>

#endif
